{ config, ... }:

let
  domain = "htnzb.giugl.io";
in
{
  services.nzbget = {
    enable = true;
    group = "media";
  };

  architect.vhost.${domain} = with config.architect.networks; {
    dnsInterfaces = [ "tailscale" "lan" ];

    locations."/" = {
      port = 6789;
      allowLan = true;

      allow = [ tailscale.net ];
    };
  };

  users.groups.media.members = [ "nzbget" ];
}
